/* 
 * Copyright (C) 2004
 * Swiss Federal Institute of Technology, Lausanne. All rights reserved.
 * 
 * Author: Roland Philippsen <roland dot philippsen at gmx dot net>
 *         Autonomous Systems Lab <http://asl.epfl.ch/>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */


#ifndef NPM_ROBOTFACTORY_HPP
#define NPM_ROBOTFACTORY_HPP


#include <boost/shared_ptr.hpp>


namespace npm {


  class RobotDescriptor;
  class RobotClient;
  class World;
  
  
  class RobotFactory
  {
  public:
    /** \return 0 if unknown model or other errors. */
    static boost::shared_ptr<npm::RobotClient>
    Create(boost::shared_ptr<npm::RobotDescriptor> descriptor,
	   const npm::World & world);
  };

}

#endif // NPM_ROBOTFACTORY_HPP
